package org.apache.bcel.classfile;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;

/* loaded from: org_apache_bcel_classfile.jar:org/apache/bcel/classfile/ConstantInteger.class */
public final class ConstantInteger extends Constant implements ConstantObject {
    private int bytes;

    public ConstantInteger(ConstantInteger c) {
        this(c.getBytes());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public ConstantInteger(DataInput file) throws IOException {
        this(file.readInt());
    }

    public ConstantInteger(int bytes) {
        super((byte) 3);
        this.bytes = bytes;
    }

    @Override // org.apache.bcel.classfile.Constant, org.apache.bcel.classfile.Node
    public void accept(Visitor v) {
        v.visitConstantInteger(this);
    }

    @Override // org.apache.bcel.classfile.Constant
    public void dump(DataOutputStream file) throws IOException {
        file.writeByte(super.getTag());
        file.writeInt(this.bytes);
    }

    public int getBytes() {
        return this.bytes;
    }

    @Override // org.apache.bcel.classfile.ConstantObject
    public Object getConstantValue(ConstantPool cp) {
        return Integer.valueOf(this.bytes);
    }

    public void setBytes(int bytes) {
        this.bytes = bytes;
    }

    @Override // org.apache.bcel.classfile.Constant
    public String toString() {
        return super.toString() + "(bytes = " + this.bytes + ")";
    }
}
